<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<header>
		<h2 align="center">Welcome to Forms Page</h2>	
	</header>
	<!-- 
		Semantic Tags are a new addition to HTML. tags which are meaningful and descriptive of the element they create. <em> emphasis, <strong> strong, are examples.

		the difference between a div and a semantic container is that a semantic container is descriptive of the content it contains, even with out relying on a semantic id.

		semantic containers are preferred such as nac, main, section, header, because they provide good Search Engine Optimizations, and is much helpful and clearer for other devs looking at our code.
	 -->
	<nav>
		<ul>
			<li><a href="./index.html">Home Page</a></li>
			<li><a href="./table.html">Table Page</a></li>
			<li><a href="../activity/contact.html">Contact Page</a></li>
		</ul>		
	</nav>
	<!-- nav is for the nav bar. navigation links -->
	<!-- main is used for main content -->
	<!-- section is used to show sections of main -->
	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				Html forms are used to gather info or data from our user and send that info to a server
			</p>
		</section>
		<section>
			<!-- 
				form tag allows to create a form. gather data or user input from form and submit to a server

				action att in a form allows us to submit/pass the data to the server.

				label tag - create an element that serves as a label or indicator for the input.

				for att associates a label to a particular input element by passing the id of the input element as its value.

				input tag creates an input element for user input. 

				input type text gathers text.

				required att checks if input element is filled. unfilled input cannot be submitted

				autocomplete att provides suggestions for input for a better UX.

				buttons are elements that interact with page for certain tasks. type="submit" submits a form, type="reset" resets input in the form.

				input type="date" inputs dates only.

				min/max att set min/max values for input.

				input type="number" input numbers only

				select element creates dropdown menu with choices

				option tag creates options or choices for the select tag

				value att is added to option tags to provide a value for the option selected.

				input type="radio" - single selection out of multiple choices

				input type="checkbox" multiple selections among multiple choices.

			 -->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bday">Birthdate</label>
				<input type="date" name="birthdate" id="bday" required>
				<br>
				<label for="ageInput">Age</label>
				<input type="number" name="age" min="18" max="40" id="ageInput" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio button -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<!-- checckbox -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="managers">
				<label for="roleInput2">Manager</label>
				<br>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="supervisors">
				<label for="roleInput3">Supervisor</label>
				<br>
				<!-- submit button -->
				<br>
				<button type="submit">Submit</button>
				<!-- reset button -->
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>